org.jgrapht.experimental.dag

## Interface DirectedAcyclicGraph.VisitedFactory

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    DirectedAcyclicGraph.VisitedArrayImpl, DirectedAcyclicGraph.VisitedArrayListImpl, DirectedAcyclicGraph.VisitedBitSetImpl, DirectedAcyclicGraph.VisitedHashSetImpl
  Enclosing class:
    DirectedAcyclicGraph<V,E>

      public static interface DirectedAcyclicGraph.VisitedFactory
      extends Serializable

  interface for a factory that vends Visited implementations
  Author:
    gilesp

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectedAcyclicGraph.Visited` | `getInstance(DirectedAcyclicGraph.Region affectedRegion)`

- - ### Method Detail

    - #### getInstance

          DirectedAcyclicGraph.Visited getInstance(DirectedAcyclicGraph.Region affectedRegion)

Copyright © 2016. All rights reserved.